var TNpage, TNeol, textFilter;
var joblisting, JobFilter, JobSlice, JobEOL;
var CompanyListing, CompanyFilter, CompanySlice, CompanyEOL;
var activeTab, indx;
var arrBody;
var arrLinks = [];
var jobSelected;
var list_URL, lpage;
var iniURL, curpage;
var actTab;
var vmlink;
var f;

let recordingTimeMS = 60000;

var bg = chrome.extension.getBackgroundPage();

$(document).ready(function () {

	$(".BtnBack").click(function () {
		if (activeTab == 1) {
			ShowJobList();
		} else {
			ShowCandidate();
		}

	});

	$("#btnCandidateListBack").click(function () {
		ShowCandidateList();
	});


	$("#BtnImportTalent").click(function () {
		var consentall = $("input[name=ConsentAll]:checked").val();
		if (consentall != 1) {
			consentall = 0;
		}
		consentall = 1;
		ShowEllipsis();
		var varBody = {
			"list_id": parseInt($("#JobListJob").val())
		}
		fetch(GLOBAL_ENV_VARS.api_domain +
			GLOBAL_ENV_VARS.show_TP, {
			method: 'POST',
			body: JSON.stringify(varBody),
			headers: site_header
		})
			.then(response => response.json())
			.then(result => {

				if (result.length > 0) {
					saveCandidate(result, varBody.list_id, consentall);
				}
			})
	});



	$('input[name="SelectAll"]').click(function () {
		if ($('input[name="SelectAll"]:checked').length == 1) {
			$('input[name="TalentPoolSelected"]').prop('checked', true);
		} else {
			$('input[name="TalentPoolSelected"]').prop('checked', false);
		}

	});

	$("#BtnImportBatch").click(function () {
		var result = [];
		$.each($('input[name="TalentPoolSelected"]:checked'), function () {
			result.push({ "id": $(this).val() });
		});
		if (result.length == 0) {
			alert("Select from Talent Pool");
			return;
		} else {
			//alert(JSON.stringify(result));
			ShowEllipsis();
			saveCandidate(result, parseInt($("#SelectList").val()), 2);
		}
	});

	$("#BtnBackList").click(function () {
		ShowCandidateList();
	});
	$("#BtnPostBackList").click(function () {
		ShowEllipsis();
		arrBody.name = $("#CandidateName")
			.val()
			.trim();
		arrBody.email = $("#CandidateEmail")
			.val()
			.trim();
		arrBody.job_title = $("#CandidateJobTitle")
			.val()
			.trim();
		arrBody.title = $("#CandidateJobTitle")
			.val()
			.trim();
		arrBody.phone = $("#CandidateNumber")
			.val()
			.trim();

		var tmpInd = $('#CandidateIndustry').find(".lists-item");
		for (var indCount = 0; indCount < tmpInd.length; indCount++) {
			if (indCount == 0) {
				arrBody.rds_industries = [];
			}
			arrBody.rds_industries.push({ name: tmpInd.eq(indCount).text().trim() });
		}



		var tmpSkill = $('#CandidateSkill').find(".lists-item");
		for (var skiCount = 0; skiCount < tmpSkill.length; skiCount++) {
			if (skiCount == 0) {
				arrBody.rds_skills = [];
			}
			arrBody.rds_skills.push({ name: tmpSkill.eq(skiCount).text().trim() });
		}


		if ($("#CandidateConsent").val() == "1") {
			arrBody.consent = true;
		} else {
			arrBody.consent = false;
		}

		fetch(GLOBAL_ENV_VARS.api_domain +
			GLOBAL_ENV_VARS.update_TP_det, {
			method: 'PUT',
			body: JSON.stringify(arrBody),
			headers: site_header
		})
			.then(response => response.json())
			.then(result => {
				ShowCandidateList();
			})
	});


	$("#BtnImportCandidate").click(function () {
		if (block_candidate == true) {
			ShowNotification(
				"lock.svg",
				"",
				"This feature is not available for your account",
				"",
				"Close"
			);
		} else {
			ShowEllipsis();
			$("#CandidateName").val(body.name);
			$("#CandidateEmail").val(body.email);
			$("#CandidateJobTitle").val(body.job_title);
			$("#CandidateNumber").val(body.phone);
			$("#CandidateSkill").html("")
			$("#CandidateIndustry").html("");
			var a, b;
			for (a = 0; a < body.rds_skills.length; a++) {
				$("#CandidateSkill")
					.append('<span class="lists"><span class="lists-item">'
						+ body.rds_skills[a].name
						+ '</span><span class="remove-item">&nbsp;&nbsp;&nbsp;x</span></span>');
			}
			for (b = 0; b < body.rds_industries.length; b++) {
				$("#CandidateIndustry")
					.append('<span class="lists"><span class="lists-item">'
						+ body.rds_industries[b].name
						+ '</span><span class="remove-item">&nbsp;&nbsp;&nbsp;x</span></span>');
			}
			$("#CandidateConsent").val("");
			$("#CandidateConsentInput").val("No");
			$("#CandidateJob").val("");
			$("#CandidateJobInput").val("No");
			if (body.email == "") {
				$("#BtnImportCandidateLeo")
					.hide()
				$("#CandidateEmail")
					.removeClass("border-notif-clear")
					.addClass("border-notif-red");
			}
			$("#CandidateConsent").hide();
			ShowPostEdit();
		}
	});

	// require amail
	$("#CandidateEmail").change(function () {
		if (activeTab == 0) {
			if ($("#CandidateEmail").val() == "") {
				$("#BtnImportCandidateLeo").hide();
				$("#CandidateEmail")
					.removeClass("border-notif-clear")
					.addClass("border-notif-red");
			} else {
				$("#BtnImportCandidateLeo").show();
				$("#CandidateEmail")
					.removeClass("border-notif-red")
					.addClass("border-notif-clear");

			}
		}
	});


	$("#CandidateSkillContainer").on(
		"change",
		"input",
		function () {

			$("#CandidateSkill").append(
				'<span class="lists"><span class="lists-item">' + $("#CandidateSkillContainer input")
					.val()
					.trim() + '</span><span class="remove-item">&nbsp;&nbsp;&nbsp;x</span></span>'
			);
			$("#CandidateSkillContainer input").val("");

		});

	$("#CandidateIndustryContainer").on(
		"change",
		"input",
		function () {
			$("#CandidateIndustry").append(
				'<span class="lists"><span class="lists-item">' + $("#CandidateIndustryContainer input")
					.val()
					.trim() + '</span><span class="remove-item">&nbsp;&nbsp;&nbsp;x</span></span>'
			);
			$("#CandidateIndustryContainer input").val("");

		});




	$("#CandidateConsentInput,#CandidateConsentContainer .DDTextBoxContainer").click(function (e) {
		e.stopPropagation();
		$(".dropdown").hide()
			.removeClass("DDShow");
		$("#CandidateConsentInput").val("");
		$("#CandidateConsentList")
			.show()
			.addClass("DDShow");

	});


	$("#CandidateConsentList ul").on(
		"click",
		"a", function () {

			$("#CandidateConsent").val(this.id);
			$("#CandidateConsentInput").val($(this).text());
			$("#CandidateConsentList")
				.hide()
				.removeClass("DDShow");
		});


	// joblist popop

	$("#CandidateJobInput, #CandidateJobContainer .DDTextBoxContainer").click(function (e) {
		e.stopPropagation();
		$(".dropdown").hide()
			.removeClass("DDShow");
		load_jobs(joblisting);
		$("#CandidateJobList")
			.show()
			.addClass("DDShow");


	});

	$("#CandidateJobInput").keyup(function () {
		/*DDlist(joblisting,"title","id","#CandidateJobInput","#CandidateJobList ul","job_owner");*/
		$(".dropdown").hide()
			.removeClass("DDShow");
		load_jobs(joblisting, $("#CandidateJobInput").val());
		$("#CandidateJobList")
			.show()
			.addClass("DDShow");
	});

	$("#CandidateJobList ul").on(
		"click",
		"a", function () {
			$("#CandidateJob").val(this.id);
			$("#CandidateJobInput").val($(this).text());
			$("#CandidateJobList")
				.hide()
				.removeClass("DDShow");
		});



	//export function to LEO
	$("#BtnImportCandidateLeo").click(function () {
		ShowEllipsis();
		if ($("#CandidateEmail")
			.val()
			.trim() == "") {
			return;
		}
		body.name = $("#CandidateName")
			.val()
			.trim();
		body.email = $("#CandidateEmail")
			.val()
			.trim();
		body.job_title = $("#CandidateJobTitle")
			.val()
			.trim();
		body.title = $("#CandidateJobTitle")
			.val()
			.trim();
		body.phone = $("#CandidateNumber")
			.val()
			.trim();

		var tmpInd = $('#CandidateIndustry').find(".lists-item");
		for (var indCount = 0; indCount < tmpInd.length; indCount++) {
			if (indCount == 0) {
				body.rds_industries = [];
			}
			body.rds_industries.push({ name: tmpInd.eq(indCount).text().trim() });
		}



		var tmpSkill = $('#CandidateSkill').find(".lists-item");
		for (var skiCount = 0; skiCount < tmpSkill.length; skiCount++) {
			if (skiCount == 0) {
				body.rds_skills = [];
			}
			body.rds_skills.push({ name: tmpSkill.eq(skiCount).text().trim() });
		}


		body.professional.avatar_name = body.name.replace(/[^a-zA-Z0-9]/g, "");

		if ($("#CandidateConsent").val() == "1") {
			body.consent = true;
		} else {
			body.consent = false;
		}
		fetch(GLOBAL_ENV_VARS.TNetworkV1 +
			'/' +
			VarCompany +
			"/manual_add", {
			method: 'POST',
			body: JSON.stringify(body),
			headers: site_header
		})
			.then((response) => {
				if (response.ok) {
					return response.json()
				} else {
					var errstatus = response.status;
					// '{' + text + ',{errstatus:'+ errstatus + '}}'
					return response.text().then(text => { throw new Error('{ "errtext" :' + text + ', "errstatus" :' + errstatus + '}') });
				}
			}).then(result => {
				if ($('#CandidateJob').val() == '') {
					ShowNotification(
						"candidate_success.svg",
						"Success!",
						"Your candidate was successfully imported",
						GLOBAL_ENV_VARS.app +
						'/' +
						mention_tag +
						"/talent/" +
						result.professional_id,
						"View Profile"
					);

				} else {
					candidate_id = result.professional_id;
					invite_body = {
						company_id: parseInt(VarCompany),
						agency_id: agency_id,
						job_id: parseInt($("#CandidateJob").val()),
						candidate_ids: [candidate_id],
						recruiter_id: parseInt(team_id)
					};
					fetch(GLOBAL_ENV_VARS.invite_to_job, {
						method: 'POST',
						body: JSON.stringify(invite_body),
						headers: site_header
					})
						.then((response) => response.json())
						.then(result1 => {
							ShowNotification(
								"candidate_success.svg",
								"Success!",
								"Your candidate was successfully imported",
								GLOBAL_ENV_VARS.app +
								'/' +
								mention_tag +
								"/talent/" +
								candidate_id,
								"View Candidate Profile"
							);
						}).catch((error) => {
							ShowNotification(
								"FailedtoJob.svg",
								"Oops!",
								"Your candidate was successfully imported but was not added to the Job",
								GLOBAL_ENV_VARS.app +
								'/' +
								mention_tag +
								"/talent/" +
								candidate_id,
								"View Candidate Profile");
						});
				}

			}).catch((error) => {
				err_result = String(error);
				if (err_result.errstatus == 422) {
					if (err_result.errtext == "") {
						ShowNotification(
							"UnableCandidate.svg",
							"Oops. Something went wrong!",
							"We were unable to import the candidate. Please try again.",
							"",
							"Back to Candidate"
						);
					} else {
						err_result = err_result.substring(7);
						err_result = JSON.parse(err_result);
						ShowNotification(
							"CandidateonLeo.svg",
							"Oops!",
							"This candidate has already been imported",
							GLOBAL_ENV_VARS.app +
							'/' +
							mention_tag +
							"/talent/" +
							err_result.errtext.professional_id,
							"View Candidate Profile"
						);
					}
				} else {
					ShowNotification(
						"UnableCandidate.svg",
						"Oops. Something went wrong!",
						"We were unable to import the candidate. Please try again.",
						"",
						"Back to Candidate"
					);
				}
			});
	});


	$("#BtnImportContact").click(function () {
		if (block_crm == true) {
			ShowNotification(
				"lock.svg",
				"",
				"This feature is not available for your account",
				"",
				"Close"
			);
		} else {
			$("#ContactName").val(body.name);
			$("#ContactEmail").val(body.email);
			$("#ContactJobTitle").val(body.job_title);
			$("#ContactNumber").val(body.phone);
			$("#ContactCompany").val("");
			$("#ContactCompanyInput").val("No");
			for (a = 0; a < body.rds_skills.length; a++) {
				$("#ContactSkill")
					.append('<span class="lists"><span class="lists-item">'
						+ body.rds_skills[a].name
						+ '</span><span class="remove-item">&nbsp;&nbsp;&nbsp;x</span></span>');
			}
			for (b = 0; b < body.categorizations_attributes.length; b++) {
				$("#ContactIndustry")
					.append('<span class="lists"><span class="lists-item">'
						+ body.categorizations_attributes[b].category_attributes.name
						+ '</span><span class="remove-item">&nbsp;&nbsp;&nbsp;x</span></span>');
			}
			ShowPostContact();
		}

	});

	$("#ContactCompanyInput, #ContactCompanyContainer .DDTextBoxContainer").click(function (e) {
		e.stopPropagation();
		$(".dropdown").hide()
			.removeClass("DDShow");
		$("#ContactCompanyInput").val("");
		$("#ContactCompanyList")
			.show()
			.addClass("DDShow");
		CompanyFilter = $("#ContactCompanyInput").val();
		CompanySlice = 0;
		CompanyEOL = 0;
		CompanyListing = []
		loadCompany(CompanyListing);
	});

	$("#ContactCompanyInput").keyup(function () {
		CompanyFilter = $("#ContactCompanyInput").val();
		CompanySlice = 0;
		CompanyEOL = 0;
		CompanyListing = []
		loadCompany(CompanyListing);
	});

	$("#ContactCompanyList ul").on(
		"click",
		"a", function () {
			$("#ContactCompany").val(this.id);
			$("#ContactCompanyInput").val($(this).text());
			$("#ContactCompanyList")
				.hide()
				.removeClass("DDShow");
		});

	$("#ContactCompanyList").scroll(function () {
		if (CompanyEOL == 0) {
			toScroll = $('#ContactCompanyList')
				.prop('scrollHeight')
				- (900 + ($('#ContactCompanyList')
					.prop('scrollHeight') - 1260));
			if ($("#ContactCompanyList").scrollTop() > toScroll) {
				CompanyFilter = $("#ContactCompanyInput").val();
				loadCompany(CompanyListing);
			}
		}
	});


	$("#ContactSkillContainer").on(
		"change",
		"input",
		function () {

			$("#ContactSkill").append(
				'<span class="lists"><span class="lists-item">' + $("#ContactSkillContainer input")
					.val()
					.trim() + '</span><span class="remove-item">&nbsp;&nbsp;&nbsp;x</span></span>'
			);
			$("#ContactSkillContainer input").val("");

		});

	$("#ContactIndustryContainer").on(
		"change",
		"input",
		function () {
			$("#ContactIndustry").append(
				'<span class="lists"><span class="lists-item">' + $("#ContactIndustryContainer input")
					.val()
					.trim() + '</span><span class="remove-item">&nbsp;&nbsp;&nbsp;x</span></span>'
			);
			$("#ContactIndustryContainer input").val("");

		});


	$("#BtnImportContactLeo").click(function () {
		ShowEllipsis();
		if ($("#ContactCompany").val() == "") {
			var dealCompany = null;
		} else {
			var dealCompany = $("#ContactCompany").val();
		}
		var Tname = $("#ContactName").val();
		Tname = Tname.replace(/[^a-zA-Z0-9]/g, "");

		var conbody = {
			agency_id: agency_id,
			deal_contact: {
				name: $("#ContactName").val(),
				email: $("#ContactEmail").val(),
				number: $("#ContactNumber").val(),
				title: $("#ContactJobTitle").val(),
				categorizations_attributes: [],
				competencies_attributes: [],
				localizations_attributes: body.localizations_attributes,
				owner_id: team_id,
				company_id: dealCompany,
				avatar: body.professional.avatar,
				avatar_name: Tname,
				avatar_data: body.professional.avatar_data
			}

		}

		var tmpInd = $('#ContactIndustry').find(".lists-item");
		for (var indCount = 0; indCount < tmpInd.length; indCount++) {
			if (indCount == 0) {
				conbody.rds_industries = [];
			}
			conbody.rds_industries.push({ name: tmpInd.eq(indCount).text().trim() });
		}

		var tmpSkill = $('#ContactSkill').find(".lists-item");
		for (var skiCount = 0; skiCount < tmpSkill.length; skiCount++) {
			if (skiCount == 0) {
				conbody.rds_skills = [];
			}
			conbody.rds_skills.push({ name: tmpSkill.eq(skiCount).text().trim() });
		}

		conbody.deal_contact.description = body.description;


		$.ajax({
			url:
				GLOBAL_ENV_VARS.deal_contacts,
			method: "POST",
			data: JSON.stringify(conbody),
			headers: site_header,
			dataType: "json",
			success: function (data) {
				if (data.errors) {
					ShowNotification(
						"DuplicateContact.svg",
						"Oops!",
						"Your contact was already imported",
						GLOBAL_ENV_VARS.app +
						'/' +
						mention_tag +
						"/clients/contacts/" +
						data.id,
						"View Contact"
					);
				} else {
					ShowNotification(
						"contact_success.svg",
						"Success!",
						"Your contact was successfully imported",
						GLOBAL_ENV_VARS.app +
						'/' +
						mention_tag +
						"/clients/contacts/" +
						data.id,
						"View Contact"
					);
				}

			},
			error: function (response, status, xhr) {
				ShowNotification(
					"UnableContact.svg",
					"oooops",
					"We are unable to import your contact. Please try again",
					"",
					"Try Again"
				);
			}
		});

	});

	$("#BtnNotifClose").click(function () {
		if (dom_link == "") {
			if (activeTab == 1) {
				ShowJobList();
			} else {
				ShowCandidate();
			}
		} else {
			var win = window.open(
				dom_link,
				"_blank"
			);
			win.focus();
			return false;
		}
	}
	);

	$(".BtnSearch").click(function () {
		ShowSearch();
		TNpage = 0;
		TNeol = 0;
		textFilter = "";
		// loadTN();
	});

	$("#SearchInput").keyup(function () {
		TNpage = 0;
		TNeol = 0;
		textFilter = $("#SearchInput").val();
		// loadTN();
	});



	$("#CandidateListContainer").scroll(function () {
		if (TNeol == 0) {
			toScroll = $('#CandidateListContainer')
				.prop('scrollHeight')
				- 600;
			if ($("#CandidateListContainer").scrollTop() > toScroll) {
				//loadTN();
			}
		}
	});



});







function saveCandidate(result, job_id, consent) {
	var array_id = [];
	for (var a = 0; a < result.length; a++) {
		array_id.push(parseInt(result[a].id));
	}
	var varBody = {
		"talent_pool_ids_array": array_id
	}
	fetch(GLOBAL_ENV_VARS.api_domain +
		GLOBAL_ENV_VARS.show_TP_det, {
		method: 'POST',
		body: JSON.stringify(varBody),
		headers: site_header
	}).then(response => response.json())
		.then(result => {
			var FImportList = [];
			convertImages(result, job_id, 0, FImportList, consent);
		}).catch((error) => {
			ShowNotification(
				"error.svg",
				"oooops",
				"Something went wrong. Please try again.",
				"",
				"Try Again"
			);
		});
}




function convertImages(dataList, job_id, imgIndx, FImportList, consent, noemail = 0) {
	var IBody;
	if (dataList.length == imgIndx) {
		var report = {
			success: [],
			exist: [],
			AddJob: [],
			noemail: noemail
		}
		if (FImportList.length == 0) {
			ShowNotification(
				"candidate_success.svg",
				"",
				"Success: " + report.success.length + "    Existing: " + report.exist.length + "    Not Imported : " + noemail,
				"",
				"Close"
			);
		}
		importCandidate(FImportList, job_id, report, 0, consent);
	} else if (dataList[imgIndx].email != "") {
		if (dataList[imgIndx].photo.includes("data:image")) {
			dataList[imgIndx].professional = {
				avatar_name: dataList[imgIndx].name.replace(/[^a-zA-Z0-9]/g, ""),
				avatar_data: dataList[imgIndx].photo,
				avatar: dataList[imgIndx].photo
			};
			FImportList.push(dataList[imgIndx]);
			convertImages(dataList, job_id, imgIndx + 1, FImportList, consent, noemail);
		} else {
			toDataURL(dataList[imgIndx].photo,
				function (dataUrl) {
					dataList[imgIndx].professional = {
						avatar_name: dataList[imgIndx].name.replace(/[^a-zA-Z0-9]/g, ""),
						avatar_data: dataUrl,
						avatar: dataUrl
					};
					FImportList.push(dataList[imgIndx]);
					convertImages(dataList, job_id, imgIndx + 1, FImportList, consent, noemail);
				})
		}
	} else {
		noemail = noemail + 1;
		convertImages(dataList, job_id, imgIndx + 1, FImportList, consent, noemail);
	}
}
function importCandidate(importList, job_id, report, impIndx = 0, consent) {
	var varBody;
	if (importList.length == impIndx) {
		invite_body = {
			company_id: parseInt(VarCompany),
			agency_id: agency_id,
			job_id: job_id,
			candidate_ids: report.AddJob,
			recruiter_id: parseInt(team_id)
		};
		fetch(GLOBAL_ENV_VARS.invite_to_job, {
			method: 'POST',
			body: JSON.stringify(invite_body),
			headers: site_header
		})
			.then(response => response.json())
			.then(result => {
				ShowNotification(
					"candidate_success.svg",
					"",
					"Success: " + report.success.length + "    Existing: " + report.exist.length + "    Not Imported : " + report.noemail,
					"",
					"Close"
				);
				//alert("success:" + report.success.length + "exist:" + report.exist.length + "fail:" + (importList.length - report.success.length - report.exist.length));
				//ShowJobList();
			}).catch((error) => {
				ShowNotification(
					"error.svg",
					"oooops",
					"Something went wrong. Please try again.",
					"",
					"Try Again"
				);
			});
	} else {
		varBody = importList[impIndx];
		var talent_pool_id = varBody.talent_pool_id;
		varBody.competencies_attributes = [];
		varBody.categorizations_attributes = [];
		if (consent == 0) {
			varBody.consent = false;
		} else if (consent == 1) {
			varBody.consent = true;
		}
		delete varBody.id;
		delete varBody.list_id;
		delete varBody.talent_pool_id;
		delete varBody.created_at;
		delete varBody.updated_at;
		//alert(JSON.stringify(varBody));
		fetch(GLOBAL_ENV_VARS.TNetworkV1 +
			'/' +
			VarCompany +
			"/manual_add", {
			method: 'POST',
			body: JSON.stringify(varBody),
			headers: site_header
		}).then(response => response.json())
			.then(result => {
				if (result.message == "Already in the Talent Network.") {
					report.exist.push(result.professional_id);
				} else {
					report.success.push(result.professional_id);
				}
				report.AddJob.push(result.professional_id);
				var delID = {
					id: talent_pool_id
				}

				fetch(GLOBAL_ENV_VARS.api_domain +
					GLOBAL_ENV_VARS.remove_TP, {
					method: 'DELETE',
					body: JSON.stringify(delID),
					headers: site_header
				})
					.then(response => response.json())
					.then(result => {
						var delID_det = {
							talent_pool_id: talent_pool_id
						}
						fetch(GLOBAL_ENV_VARS.api_domain +
							GLOBAL_ENV_VARS.remove_TP_det, {
							method: 'DELETE',
							body: JSON.stringify(delID_det),
							headers: site_header
						})
							.then(response => response.json())
							.then(result => {
								importCandidate(importList, job_id, report, impIndx + 1, consent);
							}).catch((error) => {
								ShowNotification(
									"error.svg",
									"oooops",
									"Something went wrong. Please try again.",
									"",
									"Try Again"
								);
							});

					}).catch((error) => {
						ShowNotification(
							"error.svg",
							"oooops",
							"Something went wrong. Please try again.",
							"",
							"Try Again"
						);
					});
			}).catch((error) => {
				ShowNotification(
					"error.svg",
					"oooops",
					"Something went wrong. Please try again.",
					"",
					"Try Again"
				);
			});
	}
}


function saveContact() {
	ShowEllipsis();
	if ($("#ContactCompany").val() == "") {
		var dealCompany = null;
	} else {
		var dealCompany = $("#ContactCompany").val();
	}
	var Tname = $("#ContactName").val();
	Tname = Tname.replace(/[^a-zA-Z0-9]/g, "");

	var conbody = {
		agency_id: agency_id,
		deal_contact: {
			name: $("#ContactName").val(),
			email: $("#ContactEmail").val(),
			number: $("#ContactNumber").val(),
			title: $("#ContactJobTitle").val(),
			categorizations_attributes: [],
			competencies_attributes: [],
			localizations_attributes: body.localizations_attributes,
			owner_id: team_id,
			company_id: dealCompany,
			avatar: body.professional.avatar,
			avatar_name: Tname,
			avatar_data: body.professional.avatar_data
		}

	}



	var tmpInd = $('#ContactIndustry').find(".lists-item");
	for (var indCount = 0; indCount < tmpInd.length; indCount++) {
		if (indCount == 0) {
			conbody.rds_industries = [];
		}
		conbody.rds_industries.push({ name: tmpInd.eq(indCount).text() });
	}

	var tmpSkill = $('#ContactSkill').find(".lists-item");
	for (var skiCount = 0; skiCount < tmpSkill.length; skiCount++) {
		if (skiCount == 0) {
			conbody.rds_skills = [];
		}
		conbody.rds_skills.push({ name: tmpSkill.eq(skiCount).text() });
	}

	conbody.deal_contact.description = body.description;


	fetch(GLOBAL_ENV_VARS.deal_contacts, {
		method: 'POST',
		body: JSON.stringify(varBody),
		headers: site_header
	}).then(response => response.json())
		.catch((error) => {
			ShowNotification(
				"error.svg",
				"oooops",
				"Something went wrong. Please try again.",
				"",
				"Try Again"
			);
		});

}



function createBoolean(idSel) {
	var selectedJob = joblisting[idSel];
	jobSelected = selectedJob.id;
	var tmplocation = "";
	var tmpcompetencies = "";
	var tmpcategory = "";
	if (selectedJob.localizations.length > 0) {
		for (var cntLoc = 0; cntLoc < selectedJob.localizations.length; cntLoc++) {
			if (cntLoc == 0) {
				tmplocation = selectedJob.localizations[cntLoc].location.name;
			}
			if (cntLoc > 0) {
				tmplocation = tmplocation + " OR " + selectedJob.localizations[cntLoc].location.name;
			}
		}
		tmplocation = " AND (" + tmplocation + ")";
	}
	if (selectedJob.competencies.length > 0) {
		for (var cntComp = 0; cntComp < selectedJob.competencies.length; cntComp++) {
			if (cntComp == 0) {
				tmpcompetencies = selectedJob.competencies[cntComp].skill.name;
			}
			if (cntComp > 0) {
				tmpcompetencies = tmpcompetencies + " AND " + selectedJob.competencies[cntComp].skill.name;
			}
		}
		tmpcompetencies = " AND (" + tmpcompetencies + ")";
	}
	if (selectedJob.categorizations.length > 0) {
		for (var cntCat = 0; cntCat < selectedJob.categorizations.length; cntCat++) {
			if (cntCat == 0) {
				tmpcategory = selectedJob.categorizations[cntCat].category.name;
			}
			if (cntCat > 0) {
				tmpcategory = tmpcategory + " AND " + selectedJob.categorizations[cntCat].category.name;
			}
		}
		tmpcategory = " AND (" + tmpcategory + ")";
	}
	var uri = tmplocation + tmpcompetencies + tmpcategory;
	selectedJob.title + " " + uri;
	return uri;
}






function ProcessPage(inirun) {
	joblisting = [];
	chrome.tabs.query({ active: true, currentWindow: true }, function (tabs) {
		actTab = tabs[0];
		if (actTab.url.includes("linkedin") && (actTab.url.includes("/in/") || actTab.url.includes("/search/results/people/"))) {
			if (inirun == 1) {
				if (actTab.url.includes("/in/") && actTab.url.includes("linkedin")) {
					activeTab = 0;
					$(".SearchCandidate").hide();
					chrome.tabs.sendMessage(actTab.id, {
						CandidatePage: "ENV_CANDIDATE",
						MethodNo: 0,
						profile: "",
						extID: extID
					});
				} else {
					activeTab = 1;
					if (block_candidate == true) {
						ShowNotification(
							"lock.svg",
							"",
							"This feature is not available for your account",
							"",
							"Close"
						);
					} else {
						$("#STProfile").hide();
						$(".Candidate").hide();
						ShowJobList();
					}
				}

			} else {

				if (actTab.url.includes("/in/") && actTab.url.includes("linkedin")) {
					ShowSettings();
				} else {
					activeTab = 1;
					if (block_candidate == true) {
						ShowNotification(
							"lock.svg",
							"",
							"This feature is not available for your account",
							"",
							"Close"
						);
					} else {
						$("#STProfile").hide();
						$(".Candidate").hide();
						ShowSettings();
					}
				}
			}
		} else {
			if (!actTab.url.includes("www.google.com/search?q")) {
				$(".SearchCandidate").hide();
			}
			$(".Candidate").hide();
			$("#STProfile").hide();
			ShowSearchTab()
			//ShowVideoMessage();
		}


	});

}



function loadCompany(CompanyList) {
	var company_data =
	{
		filters:
		{
			slice: [CompanySlice, 20],
			company_id: VarCompany,
			search: CompanyFilter
		}
	};

	/*	filters :
				{
					slice: [CompanySlice,20],
					company_id : VarCompany,
					operator : "and",
					search : [CompanyFilter]
				}
				*/
	CompanySlice = CompanySlice + 20;
	$.ajax({
		url: GLOBAL_ENV_VARS.list_clients,
		method: "POST",
		data: JSON.stringify(company_data),
		headers: site_header,
		success: function (data) {
			if (CompanySlice == 20) {
				$("#ContactCompany").html('<option value="">No</option>');
				$("#ContactCompany").hide();
			}
			if (data.list.length == 0) {
				CompanyEOL = 1;
			} else {
				CompanyList = CompanyList.concat(data.list);

				sorting(CompanyList, "company_name");

				for (var conCount = 0; conCount < CompanyList.length; conCount++) {
					$("#ContactCompany").append('<option value="' +
						CompanyList[conCount].client_id +
						'">' +
						CompanyList[conCount].company_name +
						'</option>'
					);
				}
				DDlist(CompanyList, "company_name", "client_id", "#ContactCompany", "#ContactCompanyList ul")
				CompanyListing = CompanyList;
				$("#ContactCompany").hide();

			}
		},
		error: function (response, status, xhr) {
			ShowNotification(
				"ServerError.svg",
				"oooops",
				"Something went wrong. Please try again.",
				"",
				"Try Again"
			);
		}
	});
}


function loadTN() {

	filters = {
		filters: {
			slice: [TNpage, 20],
			search: textFilter,
			team_member_id: team_id
		}
	}

	/*filters : {
				slice : [TNpage,20],
				operator : "and",
				search : textFilter,
				team_member_id : team_id
		}*/

	TNpage = TNpage + 20;
	$.ajax({
		url:
			GLOBAL_ENV_VARS.TNetworkV2 +
			'/' +
			VarCompany +
			"/list",
		method: "POST",
		data: JSON.stringify(filters),
		headers: site_header,
		success: function (data) {
			if (TNpage == 20) {
				$("#CandidateListContainer").html("");
			}
			if (TNpage == 20 && data.results.length == 0) {
				$("#CandidateListContainer").html("");
			}

			if (data.results.length == 0) {
				TNeol = 1;
			} else {
				var TNhtml = "",
					a,
					current_tmp;
				for (a = 0; a < data.results.length; a++) {

					if (data.results[a].current_job_title == null) {
						current_tmp = "";
					} else {
						current_tmp = data.results[a].current_job_title;
					}
					var tmpavatar = "img/User.svg";
					TNhtml = '<a href="#" id="'
						+ data.results[a].professional_id
						+ '" class="CandidateList">'
						+ '<div class="CandidateListItems">'
						+ '<img src="'
						+ tmpavatar
						+ '" height="36px" width="36px">'
						+ '<span class="CandidateListName">'
						+ data.results[a].name +
						'</span>'
						+ '<span class="CandidateListTitle">'
						+ current_tmp
						+ '</span> </div> </a>';

					$("#CandidateListContainer").append(TNhtml);
				}
			}
		},
		error: function (response, status, xhr) {
			ShowNotification(
				"ServerError.svg",
				"oooops",
				"Something went wrong. Please try again.",
				"",
				"Try Again"
			);
		}
	});
}

function hide_all() {
	$('body').removeClass();
	$('#LoadingContainer'
		+ ',#TabContainer'
		+ ',#ContentContainer'
		+ ',#VMDefaultContainer'
		+ ',#JobListContainer'
		+ ',#CandidateListProfileContainer'
		+ ',#CandidateContainer'
		+ ',#PostEditContainer'
		+ ',#PostContactContainer'
		+ ',#NotificationContainer'
		+ ',#SettingsContainer'
		+ ',#LoginContainer'
		+ ',#SearchContainer'
		+ ',#MessageContainer'
		+ ',#VMWriteContainer'
		+ ',#SearchTabContainer'
		+ ',#ListContainer'
	)
		.hide();
	$('body').addClass('content-body');
	$('.TopHeader').removeClass("white-background");
	$('.TopHeader').removeClass("default-background");
	chrome.storage.local.get(['BIAS'], function (data) {
		var bias;
		if (data.BIAS) {
			bias = data.BIAS;
			if (bias == "BIAS") {
				$('.unbias').prop('checked', false);
				bias_cont();
			} else {
				$('.unbias').prop('checked', true);
				unbias_cont();
			}
		} else {
			bias = "BIAS";
			$('.unbias').prop('checked', false);
			bias_cont();
		}
	});
}

function ShowCandidate() {
	hide_all();
	tabInactive();
	$("#profileTab img").attr("src", "img/menu/profile_active.svg");
	$("#profileTab").removeClass("inactiveTab")
		.addClass("activeTab");
	$('.TopHeader').addClass("default-background");
	$('#CandidateContainer'
		+ ',#TabContainer'
		+ ',#ContentContainer'
	).show();
}
function ShowPostEdit() {
	hide_all();
	$('#PostEditContainer'
		+ ',#TabContainer'
		+ ',#ContentContainer'
	).show();
	$('.TopHeader').addClass("white-background");
}
function ShowPostContact() {
	hide_all();
	$('#PostContactContainer'
		+ ',#TabContainer'
		+ ',#ContentContainer'
	).show();
	$('.TopHeader').addClass("white-background");
}

//function to collect data

function collectLink(profile) {
	var h,
		exp_render,
		exp_json = [],
		exp_current;
	exp_render = "";
	if (profile.experiences_attributes.length > 0) {
		exp_json = profile.experiences_attributes;


		/*	exp_json.push({
			 contractor_attributes: { name: company_name.trim() },
			 company_name : company_name.trim(),
			 title: title,
			 company_logo: company_logo,
			 contractor_type: "OuterEmployer",
			 description: exp_text,
			 location: explocation,
			 start_month: exp_date[0],
			 start_year: exp_date[1],
			 end_month:exp_date[2],
			 end_year: exp_date[3],
			 current_job: exp_date[4]
		 }); */

		for (h = 0; h < exp_json.length; h++) {
			var logo = null;
			//alert(exp_json[h].current_job);
			exp_current = "";
			curr_job = "";

			if (exp_json[h].start_month) {
				exp_current = getSMonth(exp_json[h].start_month);
			}
			if (exp_json[h].start_year) {
				if (exp_current == "") {
					exp_current = exp_json[h].start_year;
				} else {
					exp_current += " " + exp_json[h].start_year;
				}
			}

			if (exp_json[h].current_job == true) {
				if (exp_current == "") {
					exp_current = "Present";
				} else {
					exp_current += " - " + "Present";
				}
			} else {
				if (exp_json[h].end_month) {
					if (exp_current == "") {
						exp_current = getSMonth(exp_json[h].end_month);
					} else {
						exp_current += " - " + getSMonth(exp_json[h].end_month);
					}
				}
				if (exp_json[h].end_year) {
					if (exp_current == "") {
						exp_current = exp_json[h].end_year;
					} else {
						if (exp_json[h].end_month) {
							exp_current += " " + exp_json[h].end_year;
						} else {
							exp_current += " - " + exp_json[h].end_year;
						}

					}
				}
			}

			/*if (exp_json[h].current_job == true) {
					exp_current = "Present";
				}
					exp_current = getSMonth(exp_json[h].end_month) + " " + exp_json[h].end_year;
		
		
				if(){
		
				}*/
			var curr_job =
				exp_json[h].company_name +
				", <span class='j_daterange'>" + exp_current + '</span>';

			if (exp_json[h].company_logo) {
				if (exp_json[h].company_logo.includes("data:image")) {
					logo = "img/empty-company.svg";
				} else {
					logo = exp_json[h].company_logo;
				}
			} else {
				logo = "img/empty-company.svg";
			}


			exp_render =
				exp_render +
				load_header(logo,
					exp_json[h].title,
					curr_job,
					"companyPhoto", "bottom_border");

			exp_json.company_logo = undefined;

		}

	}

	//alert(profile.location);
	var textlocation = [];
	if (profile.location.length > 0) {
		textlocation = [{ location_attributes: { name: profile.location.trim(), company_id: VarCompany } }];
	}
	profile.location = undefined;
	profile.localizations_attributes = textlocation;
	profile.custom_source_id = sourceid;


	var HTitle, ProTitle;


	if (profile.experiences_attributes.length > 0) {
		ProTitle = profile.experiences_attributes[0].title.trim();
		HTitle = profile.experiences_attributes[0].title.trim() +
			" of " +
			profile.experiences_attributes[0].company_name.trim();
	} else {
		ProTitle = "";
		HTitle = "";
	}

	profile.title = ProTitle.trim();
	profile.experiences_attributes = exp_json;

	/*tmpbody = {
		name: ProName.trim(),
		email: pro_email.trim(),
		title: ProTitle.trim(),
		source: "",
		custom_source_id: sourceid,
		alaska: "LinkedIn",
		photo: photo_link,
		description: desc_summary,
		job_title : ProTitle,
		consent: true,
		phone: set_phone,
		profiles: set_profiles,
		rds_skills: skill_json,
		rds_industries:[],
		competencies_attributes: [],
		categorizations_attributes: [],
		localizations_attributes: textlocation,
		experiences_attributes: exp_json
	};*/

	if (profile.photo.includes("data:image")) {
		profile.professional = {
			avatar_name: profile.name.trim(),
			avatar_data: profile.photo,
			avatar: profile.photo
		};
		ShowCandidate();
	} else {
		toDataURL(profile.photo,
			function (dataUrl) {
				profile.professional = {
					avatar_name: profile.name.trim(),
					avatar_data: dataUrl,
					avatar: dataUrl
				};
				ShowCandidate();
			});
	}
	//ShowCandidate();
	$("#CandidatePName").text(profile.name.trim());
	$("#CandidateTitle").text(HTitle.trim());
	$("#CandidateSkills").html(profile.skills_html);
	$("#CandidateProfile img:not(#VideoMessage)").attr("src", profile.photo);
	$("#ExperienceListContainer").html(exp_render);
	profile.skills_html = undefined;
	body = profile;
}




/*

//function to collect data

function collectLink(varResponse, contact,indxLinks = 0,GatheredLinks = [],profileID,RecCount = 0) {
	var indx, nindx, tmpemail = [];
	// temporary holder to extract data
	$("#temp-container").html(varResponse);
	// data content
	tmpemail = extractEmails($("#temp-container").text());
	var ProName = '';
	if($(".flex-1.mr5 li.inline.t-24.t-black.t-normal.break-words").length ){
	 ProName = $(
		".flex-1.mr5 li.inline.t-24.t-black.t-normal.break-words"
	).text();
	}else if($('div.display-flex.justify-space-between.pt2 div div:nth-child(1) h1').length ){
		 ProName = $(
		"div.display-flex.justify-space-between.pt2 div div:nth-child(1) h1"
	).text();
}else if($('div.pv-text-details__left-panel div h1').length){
	ProName = $(
 "div.pv-text-details__left-panel div h1"
).text();
}
	var ProTitle = $(".mt1.t-18.t-black.t-normal").text();
	var all_location = "";
	if($(".pv-top-card--list.pv-top-card--list-bullet.mt1 li.t-16.t-black.t-normal.inline-block").length){
		all_location = $(
		".pv-top-card--list.pv-top-card--list-bullet.mt1 li.t-16.t-black.t-normal.inline-block"
			).text();
	}else if ($(".pv-text-details__left-panel.mr5 div.pv3 span.text-body-small.inline.t-black--light.break-words").length){
		all_location = $(".pv-text-details__left-panel.mr5 div.pv3 span.text-body-small.inline.t-black--light.break-words").text();
	}
	else if ($(".pv-text-details__left-panel.mr5 div.pb2 span.text-body-small.inline.t-black--light.break-words").length){
		all_location = $(".pv-text-details__left-panel.mr5 div.pb2 span.text-body-small.inline.t-black--light.break-words").text();
	}
	else if ($('div.pb2.pv-text-details__left-panel span.text-body-small.inline.t-black--light.break-words').length){
		all_location = $("div.pb2.pv-text-details__left-panel span.text-body-small.inline.t-black--light.break-words").text();
	}
	var textlocation = [];
	if(all_location.length > 0) {
	textlocation = [{ location_attributes: { name: all_location.trim(), company_id : VarCompany }}];
	}
	var all_skill = $(".pv-skill-category-entity__name-text")
		.map(function() {
		return $(this).text();
	})
	.get();
		var desc_summary = "";
		if($(".pv-about__summary-text.mt4.t-14.ember-view span:not(.lt-line-clamp__ellipsis)").length){
			desc_summary = $(".pv-about__summary-text.mt4.t-14.ember-view span:not(.lt-line-clamp__ellipsis)").text();
		}else if($(".pv-profile-section.pv-about-section .inline-show-more-text").length){
			desc_summary = $(".pv-profile-section.pv-about-section .inline-show-more-text").text();
		}
	var photo_link = "";
if($(".presence-entity.pv-top-card__image.presence-entity--size-9 img").length){
	photo_link = $(".presence-entity.pv-top-card__image.presence-entity--size-9 img").attr('src');
}else if($("img.pv-top-card-profile-picture__image.pv-top-card-profile-picture__image--show").length){
	photo_link = $("img.pv-top-card-profile-picture__image.pv-top-card-profile-picture__image--show").attr('src');
}
	var tmp_exp = $(
		"section.pv-profile-section__card-item-v2.pv-profile-section.pv-position-entity.ember-view"
	)
	.map(function() {
	  return $(this).html();
	})
	.get();
	var company_name,
	company_logo,
	title,
	exp_text,
	exp_date,
	start_month,
	start_year,
	end_month,
	end_year,
	current = false,
	g;
	var all_com_name = [],
	all_com_logo = [],
	all_title = [],
	all_exp = [],
		all_location = [],
	all_smonth = [],
	all_emonth = [],
	all_syear = [],
	all_eyear = [],
	all_current = [];
	var d;
	for (d = 0; d < tmp_exp.length; d++) {
		current = false;
		$("#temp-container").html(tmp_exp[d]);
		company_name = $(
			"h3.t-16.t-black.t-bold span:not(.visually-hidden)"
		).text();
		company_logo = $(
			".pv-entity__logo-img.pv-entity__logo-img.EntityPhoto-square-5.lazy-image.ember-view"
		).attr("src");
		if (company_name == null || company_name == "") {
			current = false;
			if($("p.pv-entity__secondary-title.t-14.t-black.t-normal span.separator")){
				$("p.pv-entity__secondary-title.t-14.t-black.t-normal span.separator").remove();
			}
			company_name = $(
				"p.pv-entity__secondary-title.t-14.t-black.t-normal"
			).text();
			title = $("h3.t-16.t-black.t-bold").text();
			exp_text = "";
			if($(
				".pv-entity__description.t-14.t-black.t-normal.inline-show-more-text.ember-view"
			).length){
			exp_text = $(
				".pv-entity__description.t-14.t-black.t-normal.inline-show-more-text.ember-view"
			)
			.text()
			.replace("see less", "");
		}else if ($(".pv-entity__extra-details .pv-entity__description").length) {
			exp_text = $(".pv-entity__extra-details .pv-entity__description")
				.text()
				.replace("see less", "");
		}
			var explocation="";
			if($(".pv-entity__location").length){
				var explocation = $(".pv-entity__location span:not(.visually-hidden)").text();
			}
			exp_date = $(
				"h4.pv-entity__date-range.t-14.t-black--light.t-normal span:not(.visually-hidden)"
			)
			.text()
			.trim();
			var exp_date_arr = exp_date.split(" ");
			var y;

			y = exp_date_arr.indexOf("–");
			if (y < 0) {
				if (exp_date_arr.length == 1) {
					if (exp_date_arr[0] == "Present") {
						current = true;
					} else {
						start_month = null;
						start_year = exp_date_arr[0];
						end_month = null;
						end_year = null;
					}
				} else {
					start_month = exp_date_arr[0];
					start_year = exp_date_arr[1];
					end_month = null;
					end_year = null;
				}
			} else {
				if (y == 2) {
					start_month = exp_date_arr[0];
					start_year = exp_date_arr[1];
					if (exp_date_arr.length == 5) {
						end_month = exp_date_arr[3];
						end_year = exp_date_arr[4];
					}
					if (exp_date_arr.length == 4) {
						if (exp_date_arr[3] == "Present") {
							current = true;
							end_month = null;
							end_year = null;
						} else {
							end_month = null;
							end_year = exp_date_arr[3];
						}
					}
				} else if (y == 1) {
					start_month = null;
					start_year = exp_date_arr[0];
					if (exp_date_arr.length == 3) {
						if (exp_date_arr[2] == "Present") {
							current = true;
							end_month = null;
							end_year = null;
						} else {
							end_month = null;
							end_year = exp_date_arr[2];
						}
					} else if (exp_date_arr.length == 4) {
						end_month = exp_date_arr[2];
						end_year = exp_date_arr[3];
					}
				}
			}

			s_month = getMonthFromString(start_month);
			e_month = getMonthFromString(end_month);
			all_com_name.push(company_name);
			all_com_logo.push(company_logo);
			all_title.push(title);
			all_location.push(explocation);
			all_exp.push(exp_text);
			all_smonth.push(s_month);
			all_emonth.push(e_month);
			all_syear.push(start_year);
			all_eyear.push(end_year);
			all_current.push(current);
		} else {
			var titlegroup = $(".pv-entity__role-details")
				.map(function() {
					return $(this).html();
				})
				.get();
			for (g = 0; g < titlegroup.length; g++) {
				$("#temp-container").html(titlegroup[g]);
				title = $("h3.t-14.t-black.t-bold span:not(.visually-hidden)")
					.map(function() {
					return $(this).text();
					})
					.get();
					exp_text = "";
					if($(
						".pv-entity__description.t-14.t-black.t-normal.inline-show-more-text.ember-view"
					).length){
					exp_text = $(
						".pv-entity__description.t-14.t-black.t-normal.inline-show-more-text.ember-view"
					).map(function() {
						return $(this)
						.text()
						.replace("see less", "");
					}).get();
				}else if ($(".pv-entity__extra-details .pv-entity__description").length) {
					exp_text = $(".pv-entity__extra-details .pv-entity__description")
					.map(function() {
						return $(this)
						.text()
						.replace("see less", "");
					}).get();
				}
				var explocation="";
				if($(".pv-entity__location").length){
					var explocation = $(".pv-entity__location span:not(.visually-hidden)").text();
				}
				exp_date = $(
					"h4.pv-entity__date-range.t-14.t-black--light.t-normal span:not(.visually-hidden)"
				)
				.map(function() {
					return $(this)
						.text()
						.replace("see less", "");
					})
					.get();
				current = false;
				var exp_date_arr = exp_date[0].split(" ");
				y = exp_date_arr.indexOf("–");
				if (y < 0) {
					if (exp_date_arr.length == 1) {
						if (exp_date_arr[0] == "Present") {
							current = true;
						} else {
							start_month = null;
							start_year = exp_date_arr[0];
							end_month = null;
							end_year = null;
						}
					} else {
						start_month = exp_date_arr[0];
						start_year = exp_date_arr[1];
						end_month = null;
						end_year = null;
					}
				} else {
					if (y == 2) {
						start_month = exp_date_arr[0];
						start_year = exp_date_arr[1];
						if (exp_date_arr.length == 5) {
							end_month = exp_date_arr[3];
							end_year = exp_date_arr[4];
						}
						if (exp_date_arr.length == 4) {
							if (exp_date_arr[3] == "Present") {
								current = true;
								end_month = null;
								end_year = null;
							} else {
								end_month = null;
								end_year = exp_date_arr[3];
							}
						}
					}
					if (y == 1) {
						start_month = null;
						start_year = exp_date_arr[0];
						if (exp_date_arr.length == 3) {
							if (exp_date_arr[2] == "Present") {
								current = true;
								end_month = null;
								end_year = null;
							} else {
								end_month = null;
								end_year = exp_date_arr[2];
							}
						} else if (exp_date_arr.length == 4) {
							end_month = exp_date_arr[2];
							end_year = exp_date_arr[3];
						}
					}
				}

				s_month = getMonthFromString(start_month);
				e_month = getMonthFromString(end_month);
				all_com_name.push(company_name);
				all_com_logo.push(company_logo);
				all_location.push(explocation);
				all_title.push(title[0]);
				all_exp.push(exp_text[0]);
				all_smonth.push(s_month);
				all_emonth.push(e_month);
				all_syear.push(start_year);
				all_eyear.push(end_year);
				all_current.push(current);
			}
		}
	}

	// remove html form temp container
	$("#temp-container").html(" ");

	//exp to JSON
	var h,
	exp_json = [],
	exp_render,
	exp_current;
	exp_render = "";
	for (h = 0; h < all_com_name.length; h++) {
		if (all_current[h] == true) {
			exp_current = "Present";
		} else {
			exp_current = getSMonth(all_emonth[h]) + " " + all_eyear[h];
		}
		if(all_com_logo[h]) {
		if (all_com_logo[h].includes("data:image")) {
			all_com_logo[h] = "img/empty-company.svg";
		}
		}
		var curr_job =
			all_com_name[h] +
			", <span class='j_daterange'>" +
			getSMonth(all_smonth[h]) +
			" " +
			all_syear[h] +
			" - " +
			exp_current + '</span>';

		exp_render =
			exp_render +
			load_header(all_com_logo[h],
				all_title[h],
				curr_job,
				"companyPhoto","bottom_border");

	//		contractor_attributes: { name: all_com_name[h].trim() },

		exp_json.push({
			contractor_attributes: { name: all_com_name[h].trim() },
			company_name : all_com_name[h].trim(),
			title: all_title[h],
			contractor_type: "OuterEmployer",
			description: all_exp[h],
			location: all_location[h],
			start_month: all_smonth[h],
			start_year: all_syear[h],
			end_month: all_emonth[h],
			end_year: all_eyear[h],
			current_job: all_current[h]
		});
	}

  //skill to jSON
	var i;
	var skill_json = [];
	var skills_html = "";
	for (i = 0; i < all_skill.length; i++) {
		skill_json.push({ name: all_skill[i].trim() });
		skills_html = skills_html
				+ '<span class="lists"><span class="lists-item">'
				+ all_skill[i].trim()
				+ '</span></span>';
	}
	var set_email = "";
	if(tmpemail){
		set_email = tmpemail[0];
	}
	//alert(contact);
	if(contact.contact_email){
	if (contact.contact_email[0] != "" &&
		contact.contact_email[0] != null) {
		set_email = contact.contact_email[0];
	}}
	//alert(tmpemail);
	if (set_email == null) {
		set_email = "";
	}
	var set_phone = null;
	if(contact.contact_phone){
	var set_phone = contact.contact_phone[0];
	}
	var set_twitter = contact.contact_twitter;
	var set_profiles = [
		{
			network: "linkedin",
			url: contact.linkedin_link
		}
	];
	var z;
	if (set_twitter.length > 0) {
		for (z = 0; z < set_twitter.length; z++) {
			set_profiles.push({
				network: "twitter",
				url: "https://twitter.com/" + set_twitter[z]
			});
		}
	}
	var HTitle;
	pro_email = set_email;
	if(all_title[0]){
		ProTitle = 	all_title[0].trim();
		HTitle = all_title[0].trim() +
				" of " +
				all_com_name[0].trim();
	}else{
		ProTitle = "";
		HTitle = "";
	}

  //var set_phone = "442039118019";
  // temp values to pass to staging
  //var set_email = contact.contact_email[0];
  // data to be pass for export !!!desc_summary
  //3.02.01 change localizations_attributes value to text location
	tmpbody = {
		name: ProName.trim(),
		email: pro_email.trim(),
		title: ProTitle.trim(),
		source: "",
		custom_source_id: sourceid,
		alaska: "LinkedIn",
		photo: photo_link,
		description: desc_summary,
		job_title : ProTitle,
		consent: true,
		phone: set_phone,
		profiles: set_profiles,
		rds_skills: skill_json,
		rds_industries:[],
		competencies_attributes: [],
		categorizations_attributes: [],
		localizations_attributes: textlocation,
		experiences_attributes: exp_json
	};

	if(activeTab==0){
		 if (photo_link.includes("data:image")) {
		tmpbody.professional = {
			avatar_name: ProName.trim(),
			avatar_data: photo_link,
			avatar: photo_link
		};
		ShowCandidate();
		} else {
		toDataURL(photo_link,
			function(dataUrl) {
				tmpbody.professional = {
					avatar_name: ProName.trim(),
					avatar_data: dataUrl,
					avatar: dataUrl
				};
				ShowCandidate();
		});
	}
	//ShowCandidate();
	$("#CandidatePName").text(ProName.trim());
	$("#CandidateTitle").text(HTitle.trim());
	$("#CandidateSkills").html(skills_html);
	$("#CandidateProfile img:not(#VideoMessage)").attr("src",photo_link);
	$("#ExperienceListContainer").html(exp_render);
	body= tmpbody;
	}else{
		arrBody = {
				body: tmpbody,
				skills : skills_html,
				exp : exp_render,
				photo_link : photo_link
				}
				SaveDetails(arrBody,GatheredLinks,indxLinks,profileID,RecCount);
		}
}
*/
