importScripts('jquery.min.js');
importScripts('jquery-ui.js');
importScripts('func.js');

/*
chrome.tabs.onActivated.addListener(function(info) {
  chrome.tabs.get(info.tabId, function(change) {
    IconStatus(change.url.toString(), info.tabId);
  });
});
*/

chrome.tabs.onActivated.addListener(function(info) {
	chrome.tabs.get(info.tabId, function(change) {
	  IconStatus(change.url.toString(), info.tabId);
	});
  });

chrome.tabs.onUpdated.addListener(function(tabId, change, tab) {
 IconStatus(tab.url.toString(), tabId );
});


function IconStatus(urlString, tabId) {
	/*chrome.tabs.sendMessage(tabId, {text: "content_script?"}, function(msg) {
		msg = msg || {};
		if (msg.status != 'yes') {
			chrome.tabs.executeScript(tabId, {file: "js/alaska_c.js",file: "js/jquery.min.js"});
		}
	});*/

  if(urlString.length > 0){
	var domainString = urlString.split("//");
  if(domainString.length > 0){
	   var domainString1 = domainString[1].split("/");
  }
  if(domainString1.length > 0){
	var domainStringFinal = domainString1[0];
  }
}else{
  domainStringFinal='';
}
TabSwitcher(domainStringFinal,urlString,tabId);
}

function TabSwitcher(domainStringFinal,urlString,tabId){
  if ( domainStringFinal.includes("linkedin")) {
/*		 if( urlString.includes("/in/")){
			chrome.browserAction.setPopup({ tabId: tabId, popup: "index.html" });
		 } else  if (urlString.includes("/search/results/people/")){
			chrome.browserAction.setPopup({ tabId: tabId, popup: "index.html" });
		} else  */
    if (urlString.includes("/company/") || urlString.includes("/school/")){
			chrome.action.setPopup({ tabId: tabId, popup: "company.html" });
		} else {
			chrome.action.setPopup({ tabId: tabId, popup: "index.html" });
		}
	} else if (domainStringFinal.includes("mail.google")){
		chrome.action.setPopup({ tabId: tabId, popup: "cvattach.html" });
	} else {
    chrome.action.setPopup({ tabId: tabId, popup: "index.html" });
	}
}

chrome
	.runtime
	.onMessage
	.addListener(function(request,
		sender,
		sendResponse) {
			if (request.ret == "ENV_VARS") {
        var current_active = 0;  // 0 - develop 1-staging 2-live
        var ENV_ACTIVE = [
          {
          app 			        : "http://localhost:3000",
          api_domain		    : "http://localhost:5000",
          job_site          : "http://localhost:4000",
          session 		      : "staging_recruitd_session",
          gateway_service   : "https://staging-gateway-service.hirewithleo.com"
        }
		,{
			app 			        : "https://staging.hirewithleo.com",
			api_domain		    : "https://staging-api.recruitd.co.uk",
			job_site          : "https://staging-jobs.recruitd.com",
			session 		      : "staging_recruitd_session",
			gateway_service   : "https://staging-gateway-service.hirewithleo.com"
		  }
        ,{
          app 			        : "https://app.hirewithleo.com",
          api_domain		    : "https://api.recruitd.co.uk",
          job_site          : "https://jobs.hirewithleo.com",
          session 		      : "live_recruitd_session",
          gateway_service   : "https://gateway-service.hirewithleo.com"
        }
		,{
			
			app 			        : "https://testing.hirewithleo.com",
			//api_domain		  : "https://test-api.recruitd.co.uk",
			api_domain		    : "https://api-v2.recruitd.co.uk",
			job_site          : "https://testing-jobs.hirewithleo.com",
			//session 		    : "testing_recruitd_session"
			session 		      : "live_recruitd_session",
			gateway_service   : "https://staging-gateway-service.hirewithleo.com"
		  }
      ];
				var ENV_VARS = [
					{
						app 			      : ENV_ACTIVE[current_active].app,
            api_domain		  : ENV_ACTIVE[current_active].api_domain,
            vm_main         : ENV_ACTIVE[current_active].api_domain + "/video/",
            session 		    : ENV_ACTIVE[current_active].session,
						app_domain		  : "https://hirewithleo.com",
						app_Cookdomain	: ".hirewithleo.com",
						app_Cook		    : ".hirewithleo.com",
						sign_in 		    : ENV_ACTIVE[current_active].api_domain + "/v2/professional_auth/sign_in",
						sign_out 		    : ENV_ACTIVE[current_active].api_domain + "/professional_auth/sign_out",
						companyV1 	    : ENV_ACTIVE[current_active].api_domain + "/v1/companies",
						companyV2 	    : ENV_ACTIVE[current_active].api_domain + "/v2/companies",
						TNetworkV1 	    : ENV_ACTIVE[current_active].api_domain + "/v1/talent_network",
						TNetworkV2	    : ENV_ACTIVE[current_active].api_domain + "/v2/talent_network",
						invite_to_job 	: ENV_ACTIVE[current_active].api_domain + "/v1/companies/interactions/invite_to_job",
						permissions 	  : ENV_ACTIVE[current_active].api_domain + "/v2/permissions",
						list_contacts	  : ENV_ACTIVE[current_active].api_domain + "/v2/deal_contacts/list",
						list_clients	  : ENV_ACTIVE[current_active].api_domain + "/v2/deal_contacts/list_clients",
						deal_contacts	  : ENV_ACTIVE[current_active].api_domain + "/v2/deal_contacts",
						user_details	  : ENV_ACTIVE[current_active].api_domain + "/v2/professionals",
						add_company		  : ENV_ACTIVE[current_active].api_domain + "/v1/clients",
						get_skills		  : ENV_ACTIVE[current_active].api_domain + "/v1/skills/?company_id=",
						get_industry	  : ENV_ACTIVE[current_active].api_domain + "/v1/categories/?company_id=",
						cvs				      : ENV_ACTIVE[current_active].api_domain + "/v1/candidate_cvs/parse",
						cvs_batchUpdate	: ENV_ACTIVE[current_active].api_domain + "/v1/talent_network/batch_update",
						AddDocument		  : ENV_ACTIVE[current_active].api_domain + "/v1/documents",
            Init			      : ENV_ACTIVE[current_active].api_domain + "/v2/professionals/alaska_one",
            check_subs      : ENV_ACTIVE[current_active].gateway_service + "/subscription/",
						locations		    : "/v1/locations",
            TPoolList	  	  : "/v2/talent_pool_lists/",
						create_TP		    : "/v2/talent_pools",
						show_TP			    : "/v2/talent_pools/1",
						create_TP_det	  : "/v2/talent_pools/create_talent_pool_detail",
						show_TP_det		  : "/v2/talent_pools/show_talent_pool_detail",
						show_TP_size	  : "/v2/talent_pools/talent_pool_size",
						checkHeader		  : "/v2/talent_pools/show_talent_pool_from_params",
						update_TP_det   : "/v2/talent_pools/update_talent_pool_detail",
						remove_TP		    : "/v2/talent_pools/destroy_talent_pool",
						remove_TP_det	  : "/v2/talent_pools/destroy_talent_pool_detail"
					},
					{
						app 			: "https://app.hirewithleo.com",
						app_domain		: "https://hirewithleo.com",
						app_Cookdomain	: ".hirewithleo.com",
						app_Cook		: "hirewithleo.com",
						api_domain		: "https://api.recruitd.co.uk",
            vm_main     : "https://jobs.hirewithleo.com/video/",
						sign_in 		: "https://api.recruitd.co.uk/v2/professional_auth/sign_in",
						sign_out 		: "https://api.recruitd.co.uk/professional_auth/sign_out",
						companyV1 		: "https://api.recruitd.co.uk/v1/companies",
						companyV2 		: "https://api.recruitd.co.uk/v2/companies",
						TNetworkV1 		: "https://api.recruitd.co.uk/v1/talent_network",
						TNetworkV2 		: "https://api.recruitd.co.uk/v2/talent_network",
						invite_to_job 	: "https://api.recruitd.co.uk/v1/companies/interactions/invite_to_job",
						permissions 	: "https://api.recruitd.co.uk/v2/permissions",
						list_contacts	: "https://api.recruitd.co.uk/v2/deal_contacts/list",
						list_clients	: "https://api.recruitd.co.uk/v2/deal_contacts/list_clients",
						deal_contacts	: "https://api.recruitd.co.uk/v2/deal_contacts",
						user_details	: "https://api.recruitd.co.uk/v2/professionals",
						add_company		: "https://api.recruitd.co.uk/v1/clients",
						get_skills		: "https://api.recruitd.co.uk/v1/skills/?company_id=",
						get_industry	: "https://api.recruitd.co.uk/v1/categories/?company_id=",
						cvs				: "https://api.recruitd.co.uk/v1/candidate_cvs/parse",
						cvs_batchUpdate	: "https://api.recruitd.co.uk/v1/talent_network/batch_update",
						AddDocument		: "https://api.recruitd.co.uk/v1/documents",
						locations		: "/v1/locations",
						Init			: "https://api.recruitd.co.uk/v2/professionals/alaska_one",
						create_TP		: "/v2/talent_pools/create_talent_pool",
						show_TP			: "/v2/talent_pools/show_talent_pool",
						create_TP_det	: "/v2/talent_pools/create_talent_pool_detail",
						show_TP_det		: "/v2/talent_pools/show_talent_pool_detail",
						show_TP_size	: "/v2/talent_pools/talent_pool_size",
						checkHeader		: "/v2/talent_pools/show_talent_pool_from_params",
						update_TP_det 	: "/v2/talent_pools/update_talent_pool_detail",
						remove_TP		: "/v2/talent_pools/destroy_talent_pool",
						remove_TP_det	: "/v2/talent_pools/destroy_talent_pool_detail",
						session 		: "live_recruitd_session"
					}
				];

        chrome.storage.local.get(['BIAS'], function(data) {
          var bias;
          if(data.BIAS){
            bias = data.BIAS;
          }else {
            chrome.storage.local.set({ "BIAS" : "BIAS"});
              bias = "BIAS";
          }
          chrome.runtime.sendMessage(request.extID, {
            ENV_VARS_RETURNED : "ENV_VARS_RETURNED",
  					ENV_VARS : ENV_VARS,
            ENV_BIAS : bias,
  					activeENV_VARS : 0
                    });
        });

			}
});
