let preview = document.getElementById("preview");
let currentstream;
var recordVideo, recordAudio;
var videoFile = !!navigator.mozGetUserMedia ? 'video.gif' : 'video.webm';
var isFirefox = !!navigator.mozGetUserMedia;
//let captureVideo = [];
let ctx = new AudioContext();
let timer=0;
let stopped,recorded;
let ElapsedTime =0;
const queryString = window.location.search;
const urlParams = new URLSearchParams(queryString);
var mt=urlParams.get('mt');
var ext=urlParams.get('ext');
var tm=urlParams.get('tm');
var type=urlParams.get('type');
var tabid=urlParams.get('tabid');
var winid=urlParams.get('winid');

function initCamera(){
ShowEndRecord();
  $("#preview").attr("muted","");
  $("#preview").attr("autoplay","");
  $("#preview").removeAttr("controls");
  window
    .navigator
    .mediaDevices
    .getUserMedia({
        video: true,
        audio: true
      }).then(stream => {
        ShowStartCamera();
        preview.srcObject = stream;
        preview.captureStream = preview.captureStream || preview.mozCaptureStream;
        return new Promise(resolve => preview.onplaying = resolve);
      });
}

function startRecord(){
navigator
    .mediaDevices
    .getUserMedia({
        video: true,
        audio: true
      }).then(stream => {
        RecordingStart(stream);
        preview.srcObject = stream;
      })
}


function RecordingStart(stream){
ShowStartRecord();
  addtimer();
  /* recordAudio = RecordRTC(stream, {
    type: 'audio',
    recorderType: StereoAudioRecorder // force WebAudio for all browsers even for Firefox/MS-Edge
});*/
recorder = RecordRTC(stream, {
      type: 'video'
/*      ,mimeType:'video/webm;codecs=vp8,opus,vp9'
      ,recorderType : MediaStreamRecorder */
  });
/* recordVideo = RecordRTC(stream, {
  type: 'video',
  recorderType: WhammyRecorder,
  video: {
      width: 600,
      height: 400
   },
   canvas: {
      width: 600,
      height: 400
   }
});*/
recorder.startRecording();
/* recordVideo.startRecording();
recordAudio.startRecording(); */
}

function stop() {
  var stream=preview.srcObject;
  ShowEndRecord();
  clearTimeout(timer);
  recorder.stopRecording(function(){
  /* recordAudio.stopRecording(function() {
                        recordVideo.stopRecording(function() { */
                  /*          stream.getTracks().forEach(track => track.stop());
                            getSeekableBlob(recorder.getBlob(), function (seekableBlob) {
                          saveFileFS(seekableBlob); */
                        /*  });
                      });
                    });*/
                      saveFileFS(recorder.getBlob());
});
}

function saveFileFS(blob,checkblob = 0,fd = '',sfrparam = ''){

  if(fd == ''){
  //var todayTime = new Date();
  //var month =todayTime.getMonth();
  //var day = todayTime.getDate();
  //var year = todayTime.getFullYear();
  //var hour = todayTime.getHours();
  //var min = todayTime.getMinutes();
  //var sec = todayTime.getSeconds();
  //var fd = year.toString() +month.toString()+day.toString()+hour.toString()+min.toString()+sec.toString();
  var fd = Date.now()
}
    var fileName = fd+sfrparam;
    var fn= mt +'_'+ fd + '_' +tm;
     var mpfileName = fn + ".mp4";
    var file = new File([blob], mpfileName, {
        type: 'video/mp4'
      });
  console.log('Write completed.');

   window.requestFileSystem  = window.requestFileSystem || window.webkitRequestFileSystem;
    var filesize=file.size;
    window.requestFileSystem(window.PERSISTENT,filesize + 100,function(fs){
      fs.root.getFile(fileName,{create:true,exclusive:false},function(fileEntry){

        fileEntry.createWriter(function(fileWriter) {

          fileWriter.onwriteend = function(e) {
            if(fileWriter.length === 0){
            fileWriter.write(blob);
          }else{
            console.log('Write completed.');
          /*   if(checkblob == 0){
              getSeekableBlob(recordVideo.getBlob(), function (seekableBlob) {
            saveFileFS(seekableBlob,1,fd, "_svid");
            });

            }else if (checkblob == 1) {
            saveFileFS(recordAudio.getBlob(),2,fd, "_saud");
            }
            else if (checkblob == 2) { */
                if(tabid){
                   center_popup("vmpreview.html?ext="+ext+"&fd="+fd+"&tm="+tm+"&mt="+mt+"&type="+type+"&tabid="+tabid+"&winid="+winid ,"vmpreview",680,540);
                 }else{
                   center_popup("vmpreview.html?ext="+ext+"&fd="+fd+"&tm="+tm+"&mt="+mt+"&type="+type ,"vmpreview",680,540);
               }
          //  }
           }
          };

          fileWriter.onerror = function(e) {
            console.log('Write failed: ' + e.toString());
          };
          fileWriter.truncate(0);
        });
      });
   });
}

function addtimer(){
  timer = setTimeout(function(){
    if (Math. floor(ElapsedTime/60) == 5){
      stop();
    }else{
    ElapsedTime = ElapsedTime + 1;
    $("#Minute").text(Math. floor(ElapsedTime/60).toString());
    $("#Second").text((ElapsedTime % 60).toString());
    addtimer();
  }
  }, 1000 );
}

function hide_all(){
  $('#LoadingContainer'
  + ',#RecordingTab'
  + ',#PoweredBy'
  + ',#alaska-record-hmtl'
  + ',#StartRecord'
  )
  .hide();
}

function ShowEndRecord(){
	hide_all();
	$('#LoadingContainer').show();
}

function ShowStartCamera(){
	hide_all();
  $("#alaska-record-hmtl").show();
  $("#StartRecord").show();
  $("#PoweredBy").show();
}
function ShowStartRecord(){
	hide_all();
  $("#alaska-record-hmtl").show();
  $("#RecordingTab").show();
  $("#PoweredBy").show();
}

function center_popup(url,popName,w,h,t = 0){
	const dualScreenLeft = window.screenLeft !==  undefined ? window.screenLeft : window.screenX;
	 const dualScreenTop = window.screenTop !==  undefined   ? window.screenTop  : window.screenY;

	 const width = window.innerWidth ? window.innerWidth : document.documentElement.clientWidth ? document.documentElement.clientWidth : screen.width;
	 const height = window.innerHeight ? window.innerHeight : document.documentElement.clientHeight ? document.documentElement.clientHeight : screen.height;

	 const systemZoom = width / window.screen.availWidth;
	 const left = (width - w) / 2 / systemZoom + dualScreenLeft
	 const top = (height - h) / 2 / systemZoom + dualScreenTop

	chrome.windows.create({url:url,type:"popup",width:w,height:h,top:parseInt(top, 10),left:parseInt(left, 10)});
//	window.open(url,popName,"width=" + w + ",height=" + h + ",top=" + parseInt(top, 10) + ",left=" +parseInt(left, 10));

	window.close();

}

initCamera();

